<?php
/**
 * Mx-CMS WebPortal-System
 * =======================
 *
 * View-Section for Team (Staff) - Gallery by MvW/RtR
 * Copyright (c) 2005 by MvW/RtR for Mx-CMS Version Mx-1.1.0
 *
 * This program is free software. You can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 */

/**
 * Edit and advanced by JoergK
 * $Source: M:/_MyCVS/mx-team/html/modules/Team/index.php,v $
 * $Revision: 1.5 $
 * $Author: JoergK $
 * $Date: 2007/09/15 14:02:38 $
 */

/* error_reporting(4095); */

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

$module_name = basename(dirname(__file__));

/* Select language files */
mxGetLangfile($module_name);

/* Settings */
include("modules/".$module_name."/teamset.php");

/* Show right blocks */
$GLOBALS['index'] = $vkp28;

function str2ascii($string)
{
    /*
     * Code from codethief
     * posted in http://www.homepage-forum.de/showpost.php?s=f6476ab7536a1e616a14b94c7408a679&p=91900&postcount=4
     */
    $ascii = "";
    for($charcounter = 0; $charcounter < strlen($string); $charcounter++)
    {
        $ascii .= "&#".ord($string[$charcounter]).";";
    }
    return $ascii;
}

/**
 * Show member details
 */
function showDetail()
{
    global $vkp19, $vkp26, $vkp27, $vkp40, $prefix, $module_name, $tid, $mxTeamColor2;
    $tid = intval($tid);

    $result = sql_query("SELECT * FROM ".$prefix."_team WHERE tid='".$tid."'");
    $row = sql_fetch_array($result);

    $picsrc = "".$vkp19."/".$row['bild_gross'];

    if (file_exists($picsrc)) {
        $picsrc = $picsrc;
    } else {
        $picsrc = $vkp19."/".$vkp40;
    }

    $beschreibung = ($row['beschr_lang']);

    $max_width  = $vkp26;
    $max_height = $vkp27;

    $size   = @GetImageSize($picsrc);
    $width  = $size[0];
    $height = $size[1];

    if (($max_width != "" || $max_width != 0) && ($width != "" || $width != 0)) {
        $x_ratio = $max_width / $width;
    }
    if (($max_height != "" || $max_height != 0) && ($height != "" || $height != 0)) {
        $y_ratio = $max_height / $height;
    }
    if ($width <= $max_width && $height <= $max_height) {
        $pic_width = $width;
        $pic_height = $height;
    } elseif (($x_ratio * $height) < $max_height) {
        $pic_height = ceil($x_ratio * $height);
        $pic_width = $max_width;
    } else {
        $pic_width = ceil($y_ratio * $width);
        $pic_height = $max_height;
    }

    include("header.php");
    OpenTable();
    echo '<div>'."\n"
        .'<fieldset '.mxTeamStyleFieldset().'><legend '.mxTeamStyleLegend().'>'.$row['nname'].'</legend>'."\n"
        .'<table style="width:95%;"><tr>'."\n"
        .'<td style="width:30%; vertical-align:middle; text-align:center;">'."\n"
        .'<div style="width:'.$pic_width.'px; height:'.$pic_height.'px; border:6px groove '.$mxTeamColor2.'; margin:0px; padding:0px;">'."\n"
        .'<img src="'.$picsrc.'" width="'.$pic_width.'" height="'.$pic_height.'" border="left" alt="'.$row['bild_gross'].'" title="'.$row['bild_gross'].'" />'."\n"
        .'</div></td>'."\n"
        .'<td style="width:70%; vertical-align:top;">'."\n";
    if ($row['vname']) {
        echo '<strong>'._TEAMTBVNAM.':</strong>&nbsp;"'.$row['vname'].'"<br /><br />'."\n";
    }
    if ($row['bday']) {
        echo '<strong>'._TEAMLANGBIRTH.':</strong>&nbsp;'.$row['bday'].'<br /><br />'."\n";
    }
    if ($row['job']) {
        echo '<strong>'._TEAMMEMJOB.':</strong><br />'.$row['job'].'<br /><br />'."\n";
    }
    if ($row['zeit']) {
        echo '<strong>'._TEAMMEMZEIT.':</strong><br />'.$row['zeit'].'<br /><br />'."\n";
    }
    if ($row['stellung']) {
        echo '<strong>'._TEAMTBSTELG.':</strong><br />'.$row['stellung'].'<br /><br />'."\n";
    }
    if ($beschreibung) {
        echo '<strong>'._TEAMINTROABOUT.'&nbsp;'.$row['nname'].':</strong><br />'.$beschreibung.'<br /><br />'."\n";
    }
    if ($row['feedback']) {
        echo '<strong><a href="modules.php?name=Feedback&pre='.$row['feedback'].'">'._TEAMMEMFEEDBACK.'</a></strong><br />'."\n";
                    }
    if ($row['email']) {
        $nospam = $row['email'];
        $nospam = str_replace("@", "<em> at </em>", $nospam);
        $nospam = str_replace(".", "<em> dot </em>", $nospam);
        $nospam2 = str2ascii($row['email']);
        echo '<strong>'._TEAMEMAIL.':</strong>&nbsp;<a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;'.$nospam2.'">'.$nospam.'</a><br /><br />'."\n";
    }
    if ($row['url1']) {
        echo '<strong>'._TEAMURL.':</strong><br />'."\n";
        echo '&#x2022; <a href="'.$row['url1'].'" target="_blank">'.$row['url1'].'</a><br />'."\n";
        if ($row['url2']) {
            echo '&#x2022; <a href="'.$row['url2'].'" target="_blank">'.$row['url2'].'</a><br /><br />'."\n";
        }
    } else {
        echo '<br /><br />'."\n";
    }
    echo '</td></tr></table></fieldset>'."\n"
        .'</div>'."\n"
        .'<div style="text-align:center;">[&nbsp;<a href="modules.php?name='.$module_name.'">'._TEAMTOPVIEW.'</a>&nbsp;&#x2022;&nbsp;<a href="index.php">'._HOME.'</a>'."\n";
    if (MX_IS_ADMIN) {
        echo '&nbsp;&#x2022;&nbsp;<a href="admin.php?op=team">'._TEAMADMINCENTER.'</a>&nbsp;]</div>'."\n";
    } else {
        echo '&nbsp;]</div>'."\n";
    }
    CloseTable();
    include("footer.php");
}

/**
 * Show members overview by groups
 */
function showUebersicht()
{
    global $prefix;
    global $mxTeamDetail, $mxTeamInactive, $mxTeamAllAdmin;

    include("header.php");

    OpenTable();
    echo '<div align="center">'."\n"
        .'<span class="title">'._TEAMTITLEMAIN.'</span><br />'._TEAMTITLEABOUT.'<br /></div>'."\n";
    if ($mxTeamDetail == "YES") {
        echo '<div align="center"><br /> - '._TEAMKLICKDRAUF.' -</div>'."\n";
    }
//    echo '<br />'."\n";

    /* Active members */
    $gresult = sql_query("SELECT * FROM ".$prefix."_team_group ORDER BY pos ASC");
    while ($grow = sql_fetch_array($gresult)) {
        showUebersicht2($grow['gid'], $grow['funktion']);
    }

    /* Further members (= without group) */
    $gresult = sql_query("SELECT * FROM ".$prefix."_team WHERE anzeigen=1 AND gid=0 ORDER BY pos ASC");
    if (sql_num_rows($gresult) > 0) {
        showUebersicht2();
    }

    /* Inactive members */
    if ($mxTeamInactive == "YES") {
        $gresult = sql_query("SELECT * FROM ".$prefix."_team WHERE anzeigen=0 ORDER BY pos ASC");
        if (sql_num_rows($gresult) > 0) {
            showUebersicht2("x");
        }
    }

	echo '<br />'."\n";
	echo '<center>[&nbsp;<a href="index.php">'._HOME.'</a>'."\n";
	if (($mxTeamAllAdmin == 1 && MX_IS_ADMIN) || mxGetAdminPref("radminsuper")) {
        echo '&#x2022;&nbsp;<a href="admin.php?op=team">'._TEAMADMINCENTER.'</a>&nbsp;]</center>'."\n";
    } else {
        echo ']</center>'."\n";
    }
    CloseTable();
    include("footer.php");
}


/**
 * Show members overview per group
 */
function showUebersicht2($listgroup = "", $groupname = "")
{
    global $url1, $url2, $vkp19, $vkp24, $vkp25, $vkp40, $prefix, $module_name;
    global $mxTeamCol, $mxTeamDetail, $mxTeamColor1, $mxTeamColor2, $mxTeamSortOverview;

    switch($mxTeamSortOverview) {
        default:
            $mxTeamSort = 'pos';
            break;

        case "2":
            $mxTeamSort = 'nname';
            break;

        case "3":
            $mxTeamSort = 'vname';
            break;

        case "4":
            $mxTeamSort = 'stellung';
            break;
    }

    if (intval($listgroup != 0)) {
        $result = sql_query("SELECT * FROM ".$prefix."_team WHERE anzeigen=1 AND gid=".intval($listgroup)." ORDER BY ".$mxTeamSort." ASC");
    } elseif ($listgroup == "x") {
        $result = sql_query("SELECT * FROM ".$prefix."_team WHERE anzeigen=0 ORDER BY ".$mxTeamSort." ASC");
    } else {
        $result = sql_query("SELECT * FROM ".$prefix."_team WHERE anzeigen=1 AND gid=0 ORDER BY ".$mxTeamSort." ASC");
    }

    $max_width  = $vkp24;
    $max_height = $vkp25;

    if (sql_num_rows($result) > 0) {
  //      OpenTable();
        $i = 0;
        $mxCount_TeamCol = 1;

        if (intval($listgroup != 0)) {
            echo '<div><fieldset '.mxTeamStyleFieldset().'><legend '.mxTeamStyleLegend().'>'.$groupname.'</legend><br />'."\n";
        } elseif ($listgroup == "x") {
            echo '<div><fieldset '.mxTeamStyleFieldset().'><legend '.mxTeamStyleLegend().'>'._TEAMINACTIVE.'</legend><br />'."\n";
        } else {
            echo '<div><fieldset '.mxTeamStyleFieldset().'><legend '.mxTeamStyleLegend().'>'._TEAMMOREMEMBERS.'</legend><br />'."\n";
        }

        echo '<table style="width:95%;" border="0" cellpadding="2" cellspacing="0" align="center">'."\n";

        while ($row = sql_fetch_array($result)) {
            $i++;

            $picsrc = $vkp19."/".$row['bild_klein'];
            if(file_exists($picsrc)) {
                $picsrc = $picsrc;
            } else {
                $picsrc = $vkp19."/".$vkp40;
            }

            $beschreibung = ($row['beschr_kurz']);

            $size   = @GetImageSize($picsrc);
            $width  = $size[0];
            $height = $size[1];

            if (($max_width != "" || $max_width != 0) && ($width != "" || $width != 0)) {
                $x_ratio = $max_width / $width;
            }
            if (($max_height != "" || $max_height != 0) && ($height != "" || $height != 0)) {
                $y_ratio = $max_height / $height;
            }
            if ($width <= $max_width && $height <= $max_height) {
                $pic_width = $width;
                $pic_height = $height;
            } elseif (($x_ratio * $height) < $max_height) {
                $pic_height = ceil($x_ratio * $height);
                $pic_width = $max_width;
            } else {
                $pic_width = ceil($y_ratio * $width);
                $pic_height = $max_height;
            }

            if ($mxTeamCol == 1) {
                echo '<tr>'."\n";
                if ($mxTeamDetail == "YES") {
                    echo '<td style="width:20%; vertical-align:top;">'."\n"
                        .'<div style="width:'.$pic_width.'px; height:'.$pic_height.'px; border:6px groove '.$mxTeamColor2.'; margin:0px; padding:0px;">'."\n"
                        .'<a href="modules.php?name='.$module_name.'&amp;op=detail&amp;tid='.$row['tid'].'">'."\n"
                        .'<img src="'.$picsrc.'" border="0" width="'.$pic_width.'" height="'.$pic_height.'" align="left" alt="('._TEAMALTKPIC.' '.$row['vname'].')" title="('._TEAMALTKPIC.' '.$row['vname'].')" />'
                        .'</a></div></td>'."\n";
                } elseif ($mxTeamDetail == "NO") {
                    echo '<td style="width:20%; vertical-align:top;">'."\n"
                        .'<div style="width:'.$pic_width.'px; height:'.$pic_height.'px; border:6px groove '.$mxTeamColor2.'; margin:0px; padding:0px;">'."\n"
                        .'<img src="'.$picsrc.'" border="0" width="'.$pic_width.'" height="'.$pic_height.'" align="left" alt="('._TEAMALTKPIC.' '.$row['vname'].')" title="('._TEAMALTKPIC.' '.$row['vname'].')" />'
                        .'</div></td>'."\n";
                }
                echo '<td style="width:80%; vertical-align:top;">'."\n"
                    .'<span class="content">'."\n";
                if ($row['vname']) {
                    echo '<strong>'._TEAMTBNNAM.':</strong>&nbsp;'.$row['nname'].'<br />'."\n"
                        .'<strong>'._TEAMTBVNAM.':</strong>&nbsp;'.$row['vname'].'<br /><br />'."\n";
                } else {
                    echo '<strong>'._TEAMTBNNAM.':</strong>&nbsp;'.$row['nname'].'<br /><br />'."\n";
                }
                if ($row['stellung']) {
                    echo '<strong>'._TEAMTBSTELG.':2</strong>'."\n"
                        .'<br />'.$row['stellung'].'<br /><br />'."\n";
                }
                if ($beschreibung) {
                    echo '<strong>'._TEAMKURZINFO.':</strong><br />'.$beschreibung."\n";
                }
                echo '<br /><br /></span></td></tr>'."\n";
                if (sql_num_rows($result) != $i) {
                    echo '<tr><td colspan="2"><hr noshade style="background-color:'.$mxTeamColor1.';" /></td></tr>'."\n";
                }
            } elseif ($mxTeamCol == 2) {
                if ($mxCount_TeamCol == 1){
                    echo '<tr>'."\n\n";
                    if ($mxTeamDetail == "YES") {
                        echo '<td style="width:15%; vertical-align:top;">'."\n"
                            .'<div style="width:'.$pic_width.'px; height:'.$pic_height.'px; border:6px groove '.$mxTeamColor2.'; margin:0px; padding:0px;">'."\n"
                            .'<a href="modules.php?name='.$module_name.'&amp;op=detail&amp;tid='.$row['tid'].'">'."\n"
                            .'<img src="'.$picsrc.'" border="0" width="'.$pic_width.'" height="'.$pic_height.'" align="left" alt="('._TEAMALTKPIC.' '.$row['vname'].')" title="('._TEAMALTKPIC.' '.$row['vname'].')" />'
                            .'</a></div></td>'."\n";
                    } elseif ($mxTeamDetail == "NO") {
                        echo '<td style="width:15%; vertical-align:top;">'."\n"
                            .'<div style="width:'.$pic_width.'px; height:'.$pic_height.'px; border:6px groove '.$mxTeamColor2.'; margin:0px; padding:0px;">'."\n"
                            .'<img src="'.$picsrc.'" border="0" width="'.$pic_width.'" height="'.$pic_height.'" align="left" alt="('._TEAMALTKPIC.' '.$row['vname'].')" title="('._TEAMALTKPIC.' '.$row['vname'].')" />'
                            .'</div></td>'."\n";
                    }
                    echo '<td style="width:35%; vertical-align:top;">'."\n"
                        .'<span class="content">'."\n";
                    if ($row['vname']) {
                        echo '<strong>'._TEAMTBNNAM.':</strong>&nbsp;'.$row['nname'].'<br />'."\n"
                            .'<strong>'._TEAMTBVNAM.':</strong>&nbsp;<a href="modules.php?name=Userinfo&uname='.$row['vname'].'">'.$row['vname'].'</a><br /><br />'."\n";
                    } else {
                        echo '<strong>'._TEAMTBNNAM.':</strong>&nbsp;'.$row['nname'].'<br /><br />'."\n";
                    }
                    if ($row['job']) {
                        echo '<strong>'._TEAMMEMJOB.':</strong>'."\n"
                            .'<br />'.$row['job'].'<br /><br />'."\n";
                    }
                    if ($row['zeit']) {
                        echo '<strong>'._TEAMMEMZEIT.':</strong>'."\n"
                            .'<br />'.$row['zeit'].'<br /><br />'."\n";
                    }
                    if ($row['feedback']) {
                        echo '<strong><a href="modules.php?name=Feedback&pre='.$row['feedback'].'">'._TEAMMEMFEEDBACK.'</a></strong>'."\n"
                            .'<br /><br />'."\n";
                    }
//                    if ($row['stellung']) {
//                        echo '<strong>'._TEAMTBSTELG.':</strong>'."\n"
//                            .'<br />'.$row['stellung'].'<br /><br />'."\n";
//                    }
                    if ($beschreibung) {
                        echo '<strong>'._TEAMKURZINFO.':</strong><br />'.$beschreibung."\n"
                        .'<br /><br />'."\n";
                    }
                    echo '</span></td>'."\n";
                } elseif ($mxCount_TeamCol == 2) {
                    if ($mxTeamDetail == "YES") {
                        echo '<td width="15%" valign="top">'."\n"
                            .'<div style="width:'.$pic_width.'px; height:'.$pic_height.'px; border:6px groove '.$mxTeamColor2.'; margin:0px; padding:0px;">'."\n"
                            .'<a href="modules.php?name='.$module_name.'&amp;op=detail&amp;tid='.$row['tid'].'">'."\n"
                            .'<img src="'.$picsrc.'" border="0" width="'.$pic_width.'" height="'.$pic_height.'" align="left" alt="('._TEAMALTKPIC.' '.$row['vname'].')" title="('._TEAMALTKPIC.' '.$row['vname'].')" />'
                            .'</a></div></td>'."\n";
                    } elseif ($mxTeamDetail == "NO") {
                        echo '<td style="width:15%; vertical-align:top;">'."\n"
                            .'<div style="width:'.$pic_width.'px; height:'.$pic_height.'px; border:6px groove '.$mxTeamColor2.'; margin:0px; padding:0px;">'."\n"
                            .'<img src="'.$picsrc.'" border="0" width="'.$pic_width.'" height="'.$pic_height.'" align="left" alt="('._TEAMALTKPIC.' '.$row['vname'].')" title="('._TEAMALTKPIC.' '.$row['vname'].')" />'
                            .'</div></td>'."\n";
                    }
                    echo '<td style="width:35%; vertical-align:top;">'."\n"
                        .'<span class="content">'."\n";
                    if ($row['vname']) {
                        echo '<strong>'._TEAMTBNNAM.':</strong>&nbsp;'.$row['nname'].'<br />'."\n"
                            .'<strong>'._TEAMTBVNAM.':</strong>&nbsp;<a href="modules.php?name=Userinfo&uname='.$row['vname'].'">'.$row['vname'].'</a><br /><br />'."\n";
                    } else {
                        echo '<strong>'._TEAMTBNNAM.':</strong>&nbsp;'.$row['nname'].'<br /><br />'."\n";
                    }
                    if ($row['job']) {
                        echo '<strong>'._TEAMMEMJOB.':</strong>'."\n"
                            .'<br />'.$row['job'].'<br /><br />'."\n";
                    }
                    if ($row['feedback']) {
                        echo '<strong><a href="modules.php?name=Feedback&pre='.$row['feedback'].'">'._TEAMMEMFEEDBACK.'</a></strong>'."\n"
                            .'<br /><br />'."\n";
                    }
 //                   if ($row['stellung']) {
   //                     echo '<strong>'._TEAMTBSTELG.':</strong>'."\n"
     //                       .'<br />'.$row['stellung'].'<br /><br />'."\n";
       //             }
                    if ($beschreibung) {
                        echo '<strong>'._TEAMKURZINFO.':</strong><br />'.$beschreibung."\n";
                    }
                    echo '<br /><br /></span></td></tr>'."\n";
                    if (sql_num_rows($result) != $i) {
                        echo '<tr><td colspan="4"><hr noshade style="background-color:'.$mxTeamColor1.';" /></td></tr>'."\n";
                    }
                }

                if ($mxCount_TeamCol == 1) {
                    $mxCount_TeamCol = 2;
                } elseif ($mxCount_TeamCol == 2) {
                    $mxCount_TeamCol = 1;
                }
            }
        }
        if (sql_num_rows($result) == $i && $mxCount_TeamCol == 2) {
            echo '<!-- empty colum 2 -->'."\n".'<td style="width:15%;">&nbsp;</td><td style="width:35%;">&nbsp;</td></tr>'."\n";
        }

        echo '</table></fieldset></div>'."\n";
       // CloseTable();
    }
}

/**
 * Style code for <fieldset>
 */
function mxTeamStyleFieldset()
{
    global $mxTeamColor1, $mxTeamColor2;
    $out = 'style="margin: 0 0 2em 0; padding: 1em .5em .5em .5em; border: 1px solid '.$mxTeamColor1.'"';
    return $out;
}

/**
 * Style code for <legend>
 */
function mxTeamStyleLegend()
{
    global $mxTeamColor1, $mxTeamColor2;
    $out = 'style="background: '.$mxTeamColor2.'; border: 1px solid '.$mxTeamColor1.'; padding: 2px 6px; font-weight: bold;"';
    return $out;
}

/**
 * Selection, which function should be called
 */
switch($op) {

    default:
        showUebersicht();
        break;

    case "detail":
        showDetail();
        break;
}

?>